%global debug_package %{nil}

Name:           yara-epel
Version:        4.5.2
Release:        2%{?dist}
Summary:        Pattern matching Swiss knife for malware researchers

License:        BSD-3-Clause
VCS:            http://github.com/VirusTotal/yara/
#               http://github.com/VirusTotal/yara/releases
URL:            http://VirusTotal.github.io/yara/


%global         gituser         VirusTotal
%global         gitname         yara

# Build from git release version
Source0:        https://github.com/%{gituser}/%{gitname}/archive/v%{version}.tar.gz#/yara-%{version}.tar.gz


BuildRequires:  git
BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  m4
BuildRequires:  binutils
BuildRequires:  coreutils
BuildRequires:  sharutils
BuildRequires:  file
BuildRequires:  gawk
BuildRequires:  gzip
BuildRequires:  xz
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  libtool
BuildRequires:  file-devel
BuildRequires:  jansson-devel >= 2.5
BuildRequires:  openssl-devel
BuildRequires:  protobuf-c-devel
BuildRequires:  protobuf-compiler

%description
YARA is a tool aimed at (but not limited to) helping malware researchers to
identify and classify malware samples. With YARA you can create descriptions
of malware families (or whatever you want to describe) based on textual or
binary patterns. Each description, a.k.a rule, consists of a set of strings
and a Boolean expression which determine its logic.


%package -n yara-devel
Summary:        Development files for yara
Requires:       yara%{?_isa} = %{version}


%description -n yara-devel
The yara-devel package contains libraries and header files for
developing applications that use yara.


%prep
%autosetup -n yara-%{version}
autoreconf --force --install


%build

# macro %%configure already does use CFLAGS="\{optflags}" and yara build
# scripts configure/make already honors that CFLAGS
%configure --enable-magic --enable-cuckoo --enable-debug --enable-dotnet \
        --enable-macho --enable-dex --enable-pb-tests \
        --with-crypto \
        --htmldir=%{_datadir}/doc/yara/html
%make_build


%install
%make_install

# Remove static libraries
rm %{buildroot}%{_libdir}/libyara.la
rm %{buildroot}%{_libdir}/libyara.a

# remove files shipped in main RHEL package
rm -rf %{buildroot}%{_bindir}                    \
	%{buildroot}%{_libdir}/libyara.so.10* \
	%{buildroot}%{_mandir}


%files -n yara-devel
%{_includedir}/yara.h
%{_includedir}/yara/
%{_libdir}/*.so
%{_libdir}/pkgconfig/yara.pc


%changelog
* Tue Oct 29 2024 Troy Dawson <tdawson@redhat.com> - 4.5.2-2
- Bump release for October 2024 mass rebuild:
  Resolves: RHEL-64018

* Fri Oct 25 2024 Mark Huth <mhuth@redhat.com> - 4.5.2-1
- Initial commit on c10s
- Resolves: RHEL-60383
